# Class TCefCustomMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaRouteCreateCallback

## Declaration

`type TCefCustomMediaRouteCreateCallback = class(TCefMediaRouteCreateCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaRouteCreateCallbackOwn
- TCefCustomMediaRouteCreateCallback

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;`
| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;`
This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished. Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.